### Hierarchy

- AIListItem

## Index

### Constructors

- constructor

### Properties

- disabled
- expanded
- id
- indeterminate
- isCategory
- isDraggable
- isSelectable
- items
- rowActions
- rowActionsContext
- secondaryValue
- selected
- size
- value
- listItemCount

### Methods

- addItem
- allChildrenSelected
- disable
- expand
- hasChildren
- hasItem
- includes
- removeItem
- select
- setIndeterminate
- someChildrenSelected

## Constructors

### constructor

- new AIListItem(rawData?: any): AIListItem

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:69

  #### Parameters

  - ##### Optional rawData: any

  #### Returns AIListItem

## Properties

### disabled

disabled: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:52

### expanded

expanded: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:40

If the list item has child list items, this indicates whether or not it's direct children are displayed.

### id

id: string = ...

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:12

Unique identifier for the list item.

### indeterminate

indeterminate: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:57

Indicates whether or not the list item is in an indeterminate state.

### isCategory

isCategory: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:22

Indicates whether or not a list item's displayed value should be bolded.

### isDraggable

isDraggable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:69

Indicates whether or not the item can be dragged into a different position.

### isSelectable

isSelectable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:45

Indicates whether or not the list item can be selected.

### items

items: AIListItem[] = ...

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:62

Optional nested items.

### Optional rowActions

rowActions: TemplateRef<any>

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:32

This contains an optional row action that can be rendered in the list item.

### Optional rowActionsContext

rowActionsContext: any

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:34

### Optional secondaryValue

secondaryValue: string

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:27

Secondary value to be displayed in the list item.

### selected

selected: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:50

Indicates whether or not the item is selected.

### size

size: "md" | "lg" = 'md'

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:64

### value

value: string = ''

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:17

Primary content to be displayed in the list item.

### Static listItemCount

listItemCount: number = 0

- Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:7

Variable used for creating unique ids for ListItems.

## Methods

### addItem

- addItem(listItem: AIListItem, index?: number): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:133

  #### Parameters

  - ##### listItem: AIListItem

  - ##### index: number = 0

  #### Returns void

### allChildrenSelected

- allChildrenSelected(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:163

  #### Returns boolean

### disable

- disable(disabled?: boolean): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:129

  #### Parameters

  - ##### disabled: boolean = true

  #### Returns void

### expand

- expand(expanded?: boolean): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:117

  #### Parameters

  - ##### expanded: boolean = true

  #### Returns void

### hasChildren

- hasChildren(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:155

  #### Returns boolean

### hasItem

- hasItem(item: AIListItem): any

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:147

  #### Parameters

  - ##### item: AIListItem

  #### Returns any

### includes

- includes(searchString: string): any

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:107

  This method returns `true` if `searchString` is a substring of `value` or `secondaryValue` of this list item or any of its children. This method may be overridden to achieve a custom search.

  For example, if I want `ai-list` to only filter based on secondary values and have case matter, I can create a custom `AIListItem`:

  class CustomAIListItem extends AIListItem { constructor(rawData: any) { super(rawData); }

  includes(searchString: string) { return this.secondaryValue.includes(searchString) || this.items.some((listItem) => listItem.includes(searchString)); } }

  Then instead of passing in an array of `AIListItem`s into `ai-list`, you can pass in an array of `CustomAIListItem`s and if you have the search bar turned on, it will filter out items based on your custom `includes` method.

  #### Parameters

  - ##### searchString: string

  #### Returns any

### removeItem

- removeItem(index?: number): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:141

  #### Parameters

  - ##### index: number = 0

  #### Returns void

### select

- select(selected?: boolean): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:121

  #### Parameters

  - ##### selected: boolean = true

  #### Returns void

### setIndeterminate

- setIndeterminate(indeterminate?: boolean): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:125

  #### Parameters

  - ##### indeterminate: boolean = true

  #### Returns void

### someChildrenSelected

- someChildrenSelected(): boolean

- - Defined in packages/angular/src/list/list-item/ai-list-item.class.ts:159

  #### Returns boolean

Generated using TypeDoc